Bug 133600 - Ipod detected by kudzu as "ipo"
Summary: Ipod detected by kudzu as "ipo"
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL: http://blog.subverted.net/index.php?p...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-25 00:59 UTC by Wade Mealing
Modified: 2014-03-17 02:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-22 20:47:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File request by Bill (5.76 KB, text/plain)
2004-10-04 23:57 UTC, Wade Mealing
no flags Details

Description Wade Mealing 2004-09-25 00:59:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
Asthetic problem only.

Ipod is detected as ipo.

This is a 3rd generation ipod (not the newest)

Version-Release number of selected component (if applicable):
kudzu-1.1.89-1

How reproducible:
Always

Steps to Reproduce:
1. Plug ipod into ibook
2. Boot imac
3. Wait for kudzu to appear, misnaming device as ipo
    

Actual Results:  Device misnamed as ipo

Expected Results:  Device should be called ipod

Additional info:

Comment 1 Bill Nottingham 2004-09-25 06:00:49 UTC
Please attach /etc/sysconfing/hwconf.

Comment 2 Wade Mealing 2004-10-04 23:57:06 UTC
Created attachment 104759 [details]
File request by Bill 

Problem still exists, sorry about the delay.

Comment 3 Colin Charles 2004-11-22 12:00:16 UTC
Just checked on this, using USB2 this is not an issue. Will try it on
Firewire later tonight if I remember

Wade: retest please

Comment 4 Nikos Charonitakis 2004-11-29 14:46:23 UTC
today i used ipod with firewire so i can see in hwbrowser - Scsi
Devices mentioned as iPo instead of iPod

Comment 5 Wade Mealing 2005-01-09 13:59:35 UTC
Colin: confirmed, still says Ipo with Jan 9 Rawhide.

Comment 6 Colin Charles 2005-03-29 03:47:34 UTC
I managed to repeat this on FC3+updates on x86, so this isn't powerpc specific.
If anyone wants to try it out on rawhide latest, any arch, now's a good time.

Changed arch to all.

Comment 7 Warren Togami 2005-03-29 08:41:27 UTC
Why does this have the EasyFix keyword?  There does not appear to be any
suggested patch or resolution here.

Comment 8 Bill Nottingham 2005-04-20 03:25:46 UTC
Colin - you're saying this happens with the fstab in FC3 as well?

Comment 9 Colin Charles 2005-05-27 07:33:19 UTC
Yes notting. Of course I lack an FC-3 machine with updates now (damn, this bug
sat in my to-reply queue for that long). I'll test with rawhide later to see if
it appears again.... (actually semi-dist-FC4 from 20050526)

Removed EasyFix keyword as per comment #7. 

Comment 10 Bill Nottingham 2005-09-22 20:47:33 UTC
The hwbrowser functionality is deprecated, and updfstab is not used in FC3 or
later, so what kudzu calls the device isn't really a user issue any more.

If it appears that way in fstab/on the desktop, please open a new bug against
the HAL component.

Comment 11 Bill Nottingham 2005-09-22 20:48:47 UTC
In Fedora Core 3 and later, handling of mounting of devices is done via the
'hal' component. As such, changes to updfstab are very unlikely to be made in
the future (in fact, it is no longer shipped in the kudzu tarball.)


Note You need to log in before you can comment on or make changes to this bug.